local debug = CV_RegisterVar{
	name = "rchars_debug",
	defaultvalue = 0,
	flags = 0,
	PossibleValue = CV_OnOff
}

hud.add(function(v, player, cam)
	if not(debug.value) 
	or not(player and player.realmo)
		return 
	end
	local mo = player.realmo
	local skin = mo.skin
	
	local xoffset = 320
	local yoffset = 1
	local flags = V_HUDTRANS|V_SNAPTOTOP|V_SNAPTORIGHT|V_PERPLAYER
	local align = "small-right"
	local nextline = 4
	//Double the scale for smaller screens (illegible otherwise)
	if v.height() < 400 then 
		align = "right"
		nextline = 8
	end
	local addspace = function()
		yoffset = $+nextline
	end
	local addline = function(string,string2)
		if type(string2) == 'number' and abs(string2) > FRACUNIT>>3 //If the number's this large, we can probably assume it's measured in fracunits
			string2 = tostring($/FRACUNIT).." FU"
		end
		string = "\x86"+tostring($)+": \x80"+tostring(string2)
		v.drawString(xoffset,yoffset,string,flags,align)
		yoffset = $+nextline
	end
	local addheader = function(string)
		yoffset = $+nextline
		string = "\x82"+string
		v.drawString(xoffset,yoffset,string,flags,align)
		yoffset = $+nextline
	end
	local subheader = function(string)
		string = "\x88"+string
		v.drawString(xoffset,yoffset,string,flags,align)
		yoffset = $+nextline
	end
	//****
	//Execute drawing
	//****

	addheader("RChars Debug")
	addspace()
	if player.mtkvar
		subheader("Metal Knuckles")
		for name,var in pairs(player.mtkvar)
			addline(name, var)
		end
	end
end, 'game')